Package org.jcsp.net

# Interface Networked

All Known Subinterfaces:
  `MigratableChannelInput`, `MigratableChannelOutput`, `NetChannelInput`, `NetChannelOutput`, `NetConnectionClient`, `NetConnectionServer`, `NetSharedChannelInput`, `NetSharedChannelOutput`, `NetSharedConnectionClient`, `NetSharedConnectionServer`

All Known Implementing Classes:
  `MigratableAltingChannelInput`, `NetAltingChannelInput`, `NetAltingConnectionClient`, `NetSharedAltingConnectionClient`

public interface Networked
An interface that should be implemented by any class that has a Networked channel location or wishes to expose the location of an underlying channel.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`NetChannelLocation`
`getChannelLocation()`
Returns the location of the `Networked` `ChannelInput`.

## Method Details

### getChannelLocation

NetChannelLocation getChannelLocation()
Returns the location of the `Networked` `ChannelInput`.

Returns:
  the `NetChannelLocation` object.